﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html >

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title></title>

    <script type="text/javascript" src="http://code.jquery.com/jquery-1.11.0.js"></script>
	<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.10.4/jquery-ui.js"></script>
    <!-- Ignite UI Required Combined CSS Files -->
    <link href="http://cdn-na.infragistics.com/igniteui/2018.2/latest/css/themes/infragistics/infragistics.theme.css" rel="stylesheet" />
    <link href="http://cdn-na.infragistics.com/igniteui/2018.2/latest/css/structure/infragistics.css" rel="stylesheet" />

    <script src="http://ajax.aspnetcdn.com/ajax/modernizr/modernizr-2.8.3.js"></script>
    <script src="http://code.jquery.com/jquery-1.11.3.min.js"></script>
    <script src="http://code.jquery.com/ui/1.11.1/jquery-ui.min.js"></script>

    <!-- Ignite UI Required Combined JavaScript Files -->
    <script src="http://cdn-na.infragistics.com/igniteui/2018.2/latest/js/infragistics.core.js"></script>
    <script src="http://cdn-na.infragistics.com/igniteui/2018.2/latest/js/infragistics.lob.js"></script>

    <style>
        .ui-iggrid table th, .ui-iggrid table td {
            white-space:nowrap;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <input type="button" value="Search" style="width:100px" onclick="searchData();"/>
    <div id="MainGrid"></div>
    
    <script>

        //Grid Options
        var gridOpution = {
            width: "100%",
            height: "500px",
            dataSource: [],
            //dataSourceType: 'remoteUrl',
            responseContentType: "json",
            autoGenerateLayouts: false,
            autoGenerateColumns: true,
            loadOnDemand: true,
            primaryKey: "SummaryID",
            childrenDataProperty: "Stores",
            initialDataBindDepth: 0,
            features : [
                {
                    name : "Hiding",
                }
            ],
            columnLayouts: [{
            	rendered: function (e, ui) {
            		var grid = ui.owner,
						id = grid.id();
            		if (id === '') { }
            		grid.hideColumn(grid.options.columns[0].key);
            	},
                Key: "Stores",
                primaryKey: "StoreID",
                foreignKey: "SummaryID",
                responseDataKey: "d",
                autoGenerateColumns: true,
                dataSource: "WebService.asmx/GetSecondLevel",
                dataSourceType: 'remoteUrl',
                features: [
                    {
                        name: "Hiding",
                    }
                ],
                columnLayouts: [{
                	rendered: function (e, ui) {
                		var grid = ui.owner,
							id = grid.id();
                		if (id === '') { }
                		grid.hideColumn(grid.options.columns[0].key);
                	},
                    Key: "Terminals",
                    responseDataKey: "d",
                    primaryKey: "TerminalID",
                    foreignKey: "StoreID",
                    dataSource: "WebService.asmx/GetThirdLevel",
                    dataSourceType: 'remoteUrl',
                    features: [
                        {
                            name: "Hiding",
                        }
                    ],
                    autoGenerateColumns: true

                }]
            }]
        };


        function searchData() {
            $.ajax({
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                type: "GET",
                url: "WebService.asmx/GetFirstLevel",
                success: function (ds) {
                	gridOpution.dataSource = JSON.parse(ds.d);
                	$("#MainGrid").on("igchildgridcreated", function (evt, ui) {
                		
                	});
                    $("#MainGrid").igHierarchicalGrid(gridOpution);
                },
                error: function () {
                    alert("failed");
                },
            });
        }

        $(function () {

            //var ds = JSON.parse(data);
                

            //var tree = $('#toc').igTree({
            //    singleBranchExpand: true,
            //    dataSourceUrl: 'WebService.asmx/GetTree',
            //    dataSourceType: 'remoteUrl',
            //    loadOnDemand: true,

            //    nodePopulating: function (event, ui) {
            //        tree.igTree('option', 'dataSourceUrl', 'WebService.asmx/GetTree/' + ui.data.ID);
            //        return true;
            //    },

            //    nodeClick: function (e, ui) {
            //        e.preventDefault();
            //        tree.igTree('toggle', ui.node.element);
            //        tree.igTree('select', ui.node.element);
            //        clicked(ui.node.data.url);
            //        return false;
            //    },

            //    bindings: {
            //        textKey: 'Name',
            //        childDataProperty: 'Items',
            //        valueKey: 'ID'
            //    }
            //});

            //var clicked = function (msg) {
            //    $("#result").text(msg.toLowerCase());
            //}
            //var dataSource = '[{ "SummaryID": "020", "SummaryName": "2014/08/01", "StoreCount": 5, "InProcessCount": 0, "Deadline1": 20, "Deadline2": 0, "Deadline3": 0, "Deadline4": 0, "Deadline5": 0, "Deadline6": 0, "Deadline7": 0, "Deadline8": 0, "Deadline9": 0, "Deadline10": 0, "Description": "test" }]';
            //var dataSource2 = [{ "ID": 1, "Name": "親_1", "Items": [] }, { "ID": 2, "Name": "親_2", "Items": [] }, { "ID": 3, "Name": "親_3", "Items": [] }];
            var dataSource = null;




        });
    </script>

    </form>
</body>
</html>
